Make labels follow layer z-order
Status: Open

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 17889

Description

Hi, I guess I found a small bug in label rendering:

Usually a layer is hidden, if add a raster layer on top, so it's rendered below the other layer (or skip rendering). Unfortunatly, if you add a

raster layer above an existing vector layer with labels enabled, the symbolizers get hidden as expected, but the labels not :(

History

#1 - 2014-01-01 05:20 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to invalid

Hi,

this is not a bug but rather a feature. I guess that the main purpose is to allow show labels of features without having necessarily to show the feature or

have to make a layer entirely transparent.

#2 - 2014-01-01 05:25 AM - Noone Noone

I'm ok to keep is a (optional) feature, but please be aware that this is completely unexpected behavior, as the user keeps the association layer->label and

this behaviour breaks this association and so the rendering looks corrupted from this POV.

#3 - 2014-01-01 05:34 AM - Giovanni Manghi
noone noone wrote:

I'm ok to keep is a (optional) feature, but please be aware that this is completely unexpected behavior, as the user keeps the association

layer->label and this behaviour breaks this association and so the rendering looks corrupted from this POV.

it is so unexpected? how other gis software works in this sense?

#4 - 2014-03-07 11:34 AM - Markus Straub

- Status changed from Closed to Reopened

I would like to reopen this bug since this is a feature I miss as well.

Both behaviours have their use cases.

The current behaviour (drawing labels on top of all layers) is useful for most cases.

The additionally desired behaviour of labels having the same z-order as its parent layer is useful e.g. if we want to create a background map (e.g. a street

graph with street names as labels) and then draw more important data on top. The layer on top is then not be "disturbed" by low-priority street names. (This

way we would be able to create a background map that behaves exactly like maps added via the OpenLayers plugin.)

#5 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#6 - 2018-03-01 12:29 PM - Giovanni Manghi

- Status changed from Reopened to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then

close the ticket. Thanks!

#7 - 2018-08-16 02:21 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Tracker changed from Bug report to Feature request

- Subject changed from Labels don't follow layer z-order to Make labels follow layer z-order

- Description updated

- Resolution deleted (invalid)
